Synnefo - Bug # 3554

Status: Resolved Priority: Medium

Author: Sofia Papagiannaki Category: Pithos

Created: 04/05/2013 Assignee: Sofia Papagiannaki
Updated: 07/04/2013 Due date:

Subject: Deactivate pithos md5 update by default

Description

Change the default PITHOS_UPDATE_MDS5 to False.

Associated revisions

Revision 591e1df0 - 04/09/2013 10:54 am - Sofia Papagiannaki

Deactivate pithos md5 update by default

Refs: #3554

Revision 5bcd0ef9 - 04/23/2013 01:30 pm - Sofia Papagiannaki

pithos: return always etag

Refs: #3554

If update md5 is deactivated Pithos does not return an etag header

in case of object write using hashmaps.

Pithos in that case should return the merkle hash as etag

Revision 5f39564a - 04/23/2013 01:51 pm - Sofia Papagiannaki

pithos: Update pithos api guide

Refs: #3554

Revision 3aedebb2 - 04/25/2013 09:22 pm - Sofia Papagiannaki

pithos: if md5 is disabled always reply with the merkle as ETag

Refs: #3554

Revision 133e3fcf - 07/03/2013 06:37 pm - Sofia Papagiannaki

pithos: return always etag

Refs: #3554

If update md5 is deactivated Pithos does not return an etag header.
Pithos in that case should return the merkle hash as etag

History

#1 - 04/09/2013 10:56 am - Sofia Papagiannaki
- Status changed from Assigned to Resolved

#2 - 04/18/2013 03:46 pm - Sofia Papagiannaki

- Status changed from Resolved to Assigned

If update md5 is deactivated Pithos does not return an etag header

in case of object write using hashmaps.

Pithos in that case should return the merkle hash as etag

#3 - 07/04/2013 10:23 am - Sofia Papagiannaki

- Status changed from Assigned to Resolved
